#!/bin/bash

ini() {
  touch sel
  export ret
}

del() {
  rm sel
}

error() {
  echo "Error:"
  echo $*
  exit 1
}

radiobox() {
  name="$iNAME"; step="Step $1"; text="$2"; c1="$3"; c2="$4"; ret="";
  if which dialog > /dev/null; then
    dialog --title "$name" --backtitle "$step" --radiolist "$text" 10 45 2 "$c1" "$c1" on "$c2" "$c2" off 2> sel
    if test "`cat sel`" = "$c1"; then
      export ret="$c1"
    else
      export ret="$c2"
    fi
  else
    echo "$name: $step"
    echo -n "> $text [$c1, $c2]: "
    read
    while
      test "$REPLY" != "$c1" && test "$REPLY" != "$c2" && test "$REPLY" != "";
    do
      echo -n "> $text [$c1, $c2]: "
      read
    done
    [ "$REPLY" = "" ] && REPLY="$c1";
    export ret="$REPLY"
  fi
}

textbox() {
  name="$iNAME"; step="Step $1"; text="$2"; init="$3"; ret="";
  if which dialog > /dev/null; then
    dialog --title "$name" --backtitle "$step" --inputbox "$text" 10 45 "$3" 2> sel
    export ret="`cat sel`"
  else
    echo "$name: $step"
    echo -n "> $text [$init]: "
    REPLY=''
    read
    [ "$REPLY" = "" ] && REPLY="$init";
    export ret="$REPLY"
  fi
}

iNAME=slip
iLANG=de
iPREFIX=/usr/local
iDOC=/usr/local/share/doc/packages/slip
iINIT=yes

ini

radiobox "I: Language selection" "Select language of the installation process" "de" "en"
iLANG="$ret"

if [ "$iLANG" = "de" ]; then
  textbox "II: Prefix whlen" "Bitte geben Sie das Prefix ein" "$iPREFIX"
else
  textbox "II: Select prefix" "Please enter the prefix" "$iPREFIX"
fi
iPREFIX=$ret

if [ "$iLANG" = "de" ]; then
  textbox "III: Dokumentationspfad whlen" "Wohin soll die Dokumentation?" "$iDOC"
else
  textbox "II: Select documentationpath" "Where the documentation should be?" "$iDOC"
fi
iDOC=$ret

if [ "$iLANG" = "de" ]; then
  radiobox "IV: INIT-Skript" "Soll das SLIP-Netzwerk automatisch bei jedem Start gestartet werden?" yes no
else
  radiobox "IV: INIT-Script" "Should the SLIP-Network automatically be started at bootup?" yes no
fi
iINIT=$ret

export iLANG iPREFIX iDOC iINIT

cat files | bash -

del

